# append

open fun append(other: RelativePath): RelativePath

Appends the given path to the end of this path.

#### Return

The new path

#### Parameters

other

The path to append

open fun append(endsWithFile: Boolean, segments: Array<String>): RelativePath

Appends the given names to the end of this path.

#### Return

The new path.

#### Parameters

segments

The names to append.

endsWithFile

when true, the new path refers to a file.